:root {
  --my_result: none;
}
html, body {
  min-height: 100%;
}
body {
	background: linear-gradient(0.45turn, #3f87a6, #ebf8e1, #f69d3c);
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

h1 {
	color: white;
	text-align: center;
}

.bdiv
{
  float:left;
  display: inline;
  margin: 8px;
}

.info_conversion {
  margin: 0px;
  width: 100%;
  text-align: right;
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size: 1em;
  border-collapse: collapse;
  border: hidden;
  background: transparent;
  width: 100%;
}

.info_conversion td, .info_conversion tr {
  width: 100%;
  margin: 0px;
  padding: 0px;
  align-content: right;
  font-size: 0.6em;
  background: transparent;
}

.accueil {
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size: 0.9em;
  border-collapse: collapse;
  /*width: 100%;*/
}

.accueil td, .accueil th {
  border: 1px solid #ddd;
  padding: 8px;
  color: white
}

.accueil tr:nth-child(even){
  background-color:rgba(32, 64, 32, 0.4);
  }
.accueil tr:nth-child(odd){
  background-color:rgba(32, 64, 32, 0.8);
  }

.accueil tr:hover {
  background-color:rgba(0, 0, 0, 0.8);
}

.accueil th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #4CAF50;
  color: white;
}

.accueil td.mylevel, td.level:hover {
  background-color:rgba(255, 255, 255, 0.8);
  font-size: 1.2em;
  color: black;
  font-weight: bold;
}



#conversion {
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size: 1.2em;
  padding-left: 24px;
  border-collapse: collapse;
}

#conversion td, #conversion th {
  border: 1px solid #ddd;
  padding: 8px;
  color: white
}

#conversion tr:nth-child(even){
	background-color:rgba(51, 51, 51, 0.5);
	}
#conversion tr:nth-child(odd){
	background-color:rgba(51, 51, 51, 0.8);*/
	}

#conversion tr:hover {
	background-color:rgba(0, 0, 0, 0.6);
}

#conversion th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #4CAF50;
  color: white;
}


#reference {
  width: 100%;
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  font-size: 1.2em;
  padding-left: 24px;
  border-collapse: collapse;
}

#reference td, #reference th {
  border: 1px solid #ddd;
  padding: 8px;
  color: white
}

#reference tr:nth-child(even){
  background-color:rgba(37, 123, 194, 0.5);
  text-align: right;
  }
#reference tr:nth-child(odd){
  background-color:rgba(26, 87, 138, 0.8);
  text-align: right;  
  }

#reference th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #2989d8;
  color: white;
}

.box {
  position: relative;
  display: inline-block;
  box-shadow:2px 2px 5px #000000;
}
.ribbon {
  position: absolute;
  left: -5px; top: -5px;
  z-index: 1;
  overflow: hidden;
  width: 75px; height: 75px;
  text-align: right;
}
.ribbon span {
  font-size: 10px;
  font-weight: bold;
  color: #FFF;
  text-transform: uppercase;
  text-align: center;
  line-height: 20px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  width: 100px;
  display: block;
  background: #79A70A;
  background: linear-gradient(#9BC90D 0%, #79A70A 100%);
  box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
  position: absolute;
  top: 19px; left: -21px;
}
.ribbon span::before {
  content: "";
  position: absolute; left: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid #79A70A;
  border-right: 3px solid transparent;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #79A70A;
}
.ribbon span::after {
  content: "";
  position: absolute; right: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid transparent;
  border-right: 3px solid #79A70A;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #79A70A;
}


.box_help {
  position: relative;
  width: 100%;
  display: inline-block;
  margin-bottom: 10px;
  box-shadow:2px 2px 5px #000000;
}
.ribbon_help {
  position: absolute;
  left: -5px; top: -5px;
  z-index: 1;
  overflow: hidden;
  width: 75px; height: 75px;
  text-align: right;
}
.ribbon_help span {
  font-size: 10px;
  font-weight: bold;
  color: #FFF;
  text-transform: uppercase;
  text-align: center;
  line-height: 20px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  width: 100px;
  display: block;
  background: #79A70A;
  background: linear-gradient(#2989d8 0%, #1e5799 100%);
  box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
  position: absolute;
  top: 19px; left: -21px;
}
.ribbon_help span::before {
  content: "";
  position: absolute; left: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid #1e5799;
  border-right: 3px solid transparent;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #1e5799;
}
.ribbon_help span::after {
  content: "";
  position: absolute; right: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid transparent;
  border-right: 3px solid #1e5799;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #1e5799;
}


.flipswitch {
  position: absolute;
  top: 5px;
  left: 5px;
  width: 104px;
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select: none;
}
.flipswitch input[type=checkbox] {
  display: none;
}
.flipswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 1px solid #999999;
  border-radius: 50px;
}
.flipswitch-inner {
  width: 200%;
  margin-left: -100%;
  -webkit-transition: margin 0.3s ease-in 0s;
  -moz-transition: margin 0.3s ease-in 0s;
  -ms-transition: margin 0.3s ease-in 0s;
  -o-transition: margin 0.3s ease-in 0s;
  transition: margin 0.3s ease-in 0s;
}
.flipswitch-inner:before, .flipswitch-inner:after {
  float: left;
  width: 50%;
  height: 24px;
  padding: 0;
  line-height: 24px;
  font-size: 15px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.flipswitch-inner:before {
  content: "Vérifier";
  padding-left: 9px;
  background-color: #EBEBEB;
  color: #888888;
  text-align: left;
}
.flipswitch-inner:after {
  content: "Masquer";
  padding-right: 9px;
  text-align: right;
  background-color: #3DF022;
  color: #222222;
}
.flipswitch-switch {
  width: 30px;
  margin: -3px;
  background: #FFFFFF;
  border: 1px solid #999999;
  border-radius: 50px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 78px;
  -webkit-transition: all 0.3s ease-in 0s;
  -moz-transition: all 0.3s ease-in 0s;
  -ms-transition: all 0.3s ease-in 0s;
  -o-transition: all 0.3s ease-in 0s;
  transition: all 0.3s ease-in 0s;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-inner {
  margin-left: 0;
}
.flipswitch-cb:checked + .flipswitch-label .flipswitch-switch {
  right: 0;
}


.flipswitch_help {
  position: absolute;
  top: 5px;
  right: 5px;
  width: 104px;
  -webkit-user-select:none;
  -moz-user-select:none;
  -ms-user-select: none;
}
.flipswitch_help input[type=checkbox] {
  display: none;
}
.flipswitch_help-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 1px solid #999999;
  border-radius: 50px;
}
.flipswitch_help-inner {
  width: 200%;
  margin-left: -100%;
  -webkit-transition: margin 0.3s ease-in 0s;
  -moz-transition: margin 0.3s ease-in 0s;
  -ms-transition: margin 0.3s ease-in 0s;
  -o-transition: margin 0.3s ease-in 0s;
  transition: margin 0.3s ease-in 0s;
}
.flipswitch_help-inner:before, .flipswitch_help-inner:after {
  float: left;
  width: 50%;
  height: 24px;
  padding: 0;
  line-height: 24px;
  font-size: 15px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.flipswitch_help-inner:before {
  content: "Tableau";
  padding-left: 9px;
  background-color: #123D61;
  color: #ffffff;
  text-align: left;
}
.flipswitch_help-inner:after {
  content: "Aide";
  padding-right: 9px;
  text-align: right;
  background-color: #12A9E0;
  color: #aaaaa;
}
.flipswitch_help-switch {
  width: 30px;
  margin: -3px;
  background: #FFFFFF;
  border: 1px solid #999999;
  border-radius: 50px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 78px;
  -webkit-transition: all 0.3s ease-in 0s;
  -moz-transition: all 0.3s ease-in 0s;
  -ms-transition: all 0.3s ease-in 0s;
  -o-transition: all 0.3s ease-in 0s;
  transition: all 0.3s ease-in 0s;
}
.flipswitch_help-cb:checked + .flipswitch_help-label .flipswitch_help-inner {
  margin-left: 0;
}
.flipswitch_help-cb:checked + .flipswitch_help-label .flipswitch_help-switch {
  right: 0;
}



.inputbox { 
	padding: 5px;
    -webkit-border-radius: 0.5em;
    height: 2em;
    -moz-border-radius: 0.5em; 
    border-radius: 0.5em; 
    border: 1px solid #848484; 
    outline:0;
    box-shadow:2px 2px 5px #000000;
 }

.highlight {
  color:red;
  font-weight: bold;
}
/* Attention tous les td sont impacté*/
td:nth-of-type(5) {
	/*display: var(--my_result);*/
}